forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Tessner <r...@apache.org>
Subject Re: Forrest 0.6.x, Cocoon and Java
Date Sun, 09 Jan 2005 22:25:59 GMT
On Sun, 2005-01-09 at 15:56 -0600, Antonio Gallardo wrote:
> On Dom, 9 de Enero de 2005, 13:22, Rick Tessner dijo:
> >       * Cocoon 2.1.7-dev I can't get to compile with either Java 1.3.x
> >         or 1.4.x (bombs in different places tho) so I don't know whether
> >         it works with Forrest. :(
> 
> Can you explain more this point? Did you an "svn update"?

Yup, did an "svn update" along the 2.1 branch
( http://svn.apache.org/repos/asf/cocoon/branches/BRANCH_2_1_X ),
revision 124730.  I tried compiling without any changes to the build &
block properties files.  I also did not have any local.b*.properties
files defined.  I wanted to make sure cocoon built completely from a
clean checkout.

Even though Forrest only uses a small part of cocoon, one never knows
what blocks from Cocoon someone using Forrest may try to incorporate
into Forrest. :)

I tried this under both Java 1.3 (build 1.3.1_14-b03) and Java 1.4
(build 1.4.2_03-b02).

Java 1.3
--------
cocoon-block-portal-compile:
Compiling 297 source files
to /home/rick/projects/cocoon/2.1/build/cocoon-2.1.7-dev/blocks/portal/dest
/home/rick/projects/cocoon/2.1/src/blocks/portal/java/org/apache/cocoon/portal/coplet/adapter/impl/ApplicationCopletAdapter.java:97:
cannot resolve symbol
symbol  : method indexOf  (java.lang.String)
location: class java.lang.StringBuffer
                    boolean hasParams = (uri.indexOf("?") != -1);
                                            ^
1 error

Java 1.4
--------
BUILD FAILED
/home/rick/projects/cocoon/2.1/tools/targets/docs-build.xml:56:
com.thoughtworks.qdox.parser.ParseException: syntax error @[181,1] in
file:/home/rick/projects/cocoon/2.1/src/blocks/php/java/org/apache/cocoon/generation/PhpGenerator.java

                              --oOo--

Hmmmm ... looks like the Java 1.4 error is only in the docs ... probably
not critical, but again if we're gonna go for Java 1.4, may as well go
with Cocoon 2.2.

-- 
Rick Tessner
rick at apache dot org

Mime
View raw message